﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamGridSearch
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<Person> data = new List<Person>();
            data.Add(new Person() { Name = "person1", Age = 20 });
            data.Add(new Person() { Name = "person1", Age = 30 });
            data.Add(new Person() { Name = "person2", Age = 40 });
            data.Add(new Person() { Name = "person2", Age = 50 });
            data.Add(new Person() { Name = "person1", Age = 60 });

            xamGrid1.DataContext = data;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            foreach (var item in xamGrid1.Rows)
            {
                item.Cells[0].Control.Foreground = new SolidColorBrush(Colors.Black);

                if (item.Cells[0].Value.ToString().Contains(textBox1.Text))
                {
                    item.Cells[0].Control.Foreground = new SolidColorBrush(Colors.Orange);
                }
            }
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            foreach (var item in xamGrid1.Rows)
            {
                item.Cells[0].Control.Foreground = new SolidColorBrush(Colors.Black);

                if (item.Cells[0].Value.ToString().IndexOf(textBox2.Text, StringComparison.CurrentCultureIgnoreCase) != -1)
                {
                    item.Cells[0].Control.Foreground = new SolidColorBrush(Colors.Orange);
                }
            }
        }
        
    }

    public class Person
    {
        public string Name { get; set; }
        public int Age { get; set; }
    }
}
